% ... Function Bus_placement places the buses on the simulink model ...


function [] = Bus_placement(fname,Bus_Number,coordinates)

if Bus_Number<=9
    Bus_dest=[fname '/B00' num2str(Bus_Number)];
elseif Bus_Number<=99
    Bus_dest=[fname '/B0' num2str(Bus_Number)];
else
    Bus_dest=[fname '/B' num2str(Bus_Number)];
end

      
        add_block('lib/Three Phase Bus',Bus_dest);
     
    if Bus_Number<=9    
        Vabc_label=['V_B00' num2str(Bus_Number)];
        Iabc_label=['I_B00' num2str(Bus_Number)];
    elseif Bus_Number<=99
        Vabc_label=['V_B0' num2str(Bus_Number)];
        Iabc_label=['I_B0' num2str(Bus_Number)];
    else
        Vabc_label=['V_B' num2str(Bus_Number)];
        Iabc_label=['I_B' num2str(Bus_Number)];
    end
    set_param(Bus_dest,'Position',coordinates,'BackgroundColor','black', 'LabelV', Vabc_label, 'LabelI', Iabc_label);
    
end

