
% ......... This function connects the buses and lines ............



function [] = Connect_Bus_Line(fname, Bus_A,Bus_B)


    Bus_A_dest=[fname '/B' Bus_A];
    Bus_A_port=get_param(Bus_A_dest,'PortHandles');

    Bus_B_dest=[fname '/B' Bus_B];
    Bus_B_port=get_param(Bus_B_dest,'PortHandles');

    Line_dest=[fname '/L' Bus_A '_' Bus_B];
    Line_port=get_param(Line_dest,'PortHandles');

    
        
        for i=1:3
            
            add_line(fname, Bus_A_port.RConn(i),...
                            Line_port.LConn(i),'autorouting','on');
            add_line(fname,Line_port.RConn(i),...
                            Bus_B_port.LConn(i),'autorouting','on');   
                        
        end

    end
    
















