

% ......... This function connects the Buses and Loads ............


function [] = Connect_Bus_Load(fname, load_node)

if load_node<=9
    Bus_dest=[fname '/B00' num2str(load_node)];
    Load_dest=[fname '/Load_00'  num2str(load_node)];
elseif load_node<=99
    Bus_dest=[fname '/B0' num2str(load_node)];
    Load_dest=[fname '/Load_0'  num2str(load_node)];
else
    Bus_dest=[fname '/B' num2str(load_node)];
    Load_dest=[fname '/Load_'  num2str(load_node)];
end
    
    
    Bus_port=get_param(Bus_dest,'PortHandles');

    Load_port=get_param(Load_dest,'PortHandles');
        
        for i=1:3
            
            add_line(fname,Bus_port.RConn(i),...
                            Load_port.LConn(i),'autorouting','on');
        
        end                         
    
end






