
% ......This function places the lines on the simulink window ......


function []= Line_placement(fname, Bus_A_Number,Bus_B_Number,coordinates,flip_B,flip_L,rotate_L)
    
    
    Line_dest=[fname '/L' Bus_A_Number '_' Bus_B_Number];
    

    add_block('powerlib/Elements/Three-Phase PI Section Line',Line_dest); % add_block('powerlib/Elements/Distributed Parameters Line',Line_dest); % 
    set_param(Line_dest,'Position',coordinates,'BackgroundColor','green');

    bus_B_dest=[fname '/B' Bus_B_Number];
    
    
    % .... flip bus B ....
    
    if flip_B==1
        
        set_param(bus_B_dest,'Orientation','left');
        
    end
    
    % .... flip Line ....
    
    if flip_L==1
        
        set_param(Line_dest,'Orientation','left');
        
    end 
    
    % .... Rotate Line ....
    
    if rotate_L==1
        
        set_param(Line_dest,'Orientation','up');
        
    elseif rotate_L==2
        
        set_param(Line_dest,'Orientation','down');
        
    end
end

