
% ......This function places the loads on the simulink window ......



function [] = Load_Placement(fname, load_node,coordinates,Flip_Load,PVtype)

    
        if load_node<=9
           Load_name=['Load_00' num2str(load_node)];
           Load_dest=[fname '/' Load_name];
        elseif load_node<=99
           Load_name=['Load_0' num2str(load_node)];
           Load_dest=[fname '/' Load_name];
        else
            Load_name=['Load_' num2str(load_node)];
            Load_dest=[fname '/' Load_name];
        end
        
        if PVtype==0
           add_block('lib/Three Phase Load IT PV',Load_dest);
        
        elseif PVtype==1
            add_block('lib/Three Phase Load IT PV_Cos(Phi)',Load_dest);
            
        elseif PVtype==2
            add_block('lib/Three Phase Load IT PV_PF(P_PV)',Load_dest);
            
        elseif PVtype==3    
            add_block('lib/Three Phase Load IT PV_Q(U)',Load_dest);
            
        elseif PVtype==4    
            add_block('lib/Three Phase Load IT PV_P_pv(U)',Load_dest);
        end
        
        if Flip_Load==1
            set_param(Load_dest,'Position',coordinates,'BackgroundColor','orange','Orientation','left');
        else
            set_param(Load_dest,'Position',coordinates,'BackgroundColor','orange');          
        end
  
    
    
    Load_name_P=[Load_name '_P'];
    %Load_name_P=['Load_P'];
    set_param(Load_dest, 'Load_P' ,Load_name_P); %set the name for the active load data to be used by this house
    Load_name_Q=[Load_name '_Q'];
    %Load_name_Q=['Load_Q'];
    set_param(Load_dest, 'Load_Q' ,Load_name_Q); %set the name for the reactive load data to be used by this house

end

