function []=ParamAss(fname)
%clear all;

data_file='data_file_EULVshortNoLooseEnds.xlsx';

nominal_frequency=50;

%line_data_file='line data.xlsx';
%line_data=xlsread(line_data_file);


%%Importing data line data

line_top=xlsread(data_file,'Lines');
line_data=xlsread(data_file,'LineCodes');

for i=1:length(line_top)
    k=line_top(i,7); % Type of line
    l=line_top(i,4)*10^(-3);  %km
    r1=line_data(k,4);         %ohm/km
    l1=line_data(k,5)/(2*pi*50);         %H/km
    r0=line_data(k,6);         %ohm/km
    l0=line_data(k,7)/(2*pi*50);         %H/km
    cd=line_data(k,8);         %F/km
    cj=line_data(k,9);         %F/km
    line_seq_data(i,:)=[r1 l1 r0 l0 cd cj l];
end

node_A_L=line_top(:,1);
node_B_L=line_top(:,2);

line_seq_data;

%% Assigning line parameters
for i=1:length(node_A_L)
    if node_A_L(i)<=9
        A=['00' num2str(node_A_L(i))];
    elseif node_A_L(i)<=99
        A=['0' num2str(node_A_L(i))];
    else
        A=[num2str(node_A_L(i))];
    end
    if node_B_L(i)<=9
        B=['00' num2str(node_B_L(i))];
    elseif node_B_L(i)<=99
        B=['0' num2str(node_B_L(i))];
    else
        B=[num2str(node_B_L(i))];
    end
    line_name=[fname '/L' A '_' B];
    
    r=['[' num2str(line_seq_data(i,1)) ' ' num2str(line_seq_data(i,3)) ']'];
    ind=['[' num2str(line_seq_data(i,2)) ' ' num2str(line_seq_data(i,4)) ']'];
    cap=['[' num2str(line_seq_data(i,5)) ' ' num2str(line_seq_data(i,6)) ']'];
    le=num2str(line_seq_data(i,7));
    set_param(line_name,'Frequency',num2str(nominal_frequency),...
        'Resistances', r, 'Inductances', ind, 'Capacitances', cap, 'Length', le);  
        
end


end